'use strict';

var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const Show = ({
  condition,
  children,
  fallback
}) => {
  if (typeof condition === "function") {
    condition = condition();
  }
  return condition ? /* @__PURE__ */ React__default.default.createElement(React__default.default.Fragment, null, children) : fallback != null ? fallback : /* @__PURE__ */ React__default.default.createElement(React__default.default.Fragment, null);
};

exports.Show = Show;
